PDA

View Full Version : need some assistance with phymyadmin/mysql



clc2112
25th August 2004, 08:54 PM
Im having difficulties getting phpmyadmin to work. I'm not sure whats not talking to what correctly. I can see the phpinfo information with apache. I can log into mysql wih mysql/no password or with root and a password. Im on fedora core 2 and the system is completely unpdated with yum update.

The system has been rebooted, processes have been restarted and i still get this when trying to got phpmyadmin page:

"cannot load MySQL extension,
please check PHP Configuration.
Documentation"


my php/mysql versions:

[calvin@bbg phpmyadmin]$ rpm -q php
php-4.3.8-2.1
[calvin@bbg phpmyadmin]$ rpm -q mysql
mysql-3.23.58-9

IN MY /ETC/PHP.INI
extension_dir = /usr/lib/php4
(and a few lines down)
extension=mysql.so

mysql.so does exist in /usr/lib/php4 (i had to copy it there from where I found it deep in a perl directory) The fact that it wasnt anywhere else or where it is supposed to be is Im thinking what the problem is.

IN MY /VAR/WWW/HTML/PHPMYADMIN/CONFIG.INC.PHP

$cfg['PmaAbsoluteUri'] = 'http://MYDOMAIN.COM/phpmyadmin/';
$cfg['Servers'][$i]['user'] = 'mysql';
$cfg['Servers'][$i]['password'] = '';

NOTE: I have also inserted root and the appropriate root pw here as well with no luck.


Please help as I'm sure there is something simple I am missing.

ewdi
25th August 2004, 08:57 PM
you need to install php-mysql package
it's a module to bridge the two.

just like perl and mysql using perl-dbd-mysql

example in FC2 you will need php-mysql-4.3.6-5.i386.rpm

clc2112
25th August 2004, 09:29 PM
Worked great, I just had to install the same version of php-mysql as my php version. 4.3.8 and it came up immediately.

Thanks very much. This forum has been bery bery good to me..

calvin

ewdi
25th August 2004, 09:42 PM
glad it works, and we are happy to help :)